%define rel 2
%define grantlee_major 0
%define grantlee_minor 3

Name:           grantlee
Summary:        Qt string template engine based on the Django template system
Group:          System/Libraries
Version:        0.3.0
Release:        %mkrel %{rel}
License:        LGPLv2+
URL:            http://www.gitorious.org/grantlee/pages/Home
Source0:        http://downloads.%{name}.org/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  pkgconfig(QtCore) < 5.0.0
BuildRequires:  pkgconfig(QtGui) < 5.0.0
BuildRequires:  pkgconfig(QtTest) < 5.0.0
BuildRequires:  pkgconfig(QtScript) < 5.0.0
BuildRequires:  doxygen


%description
Grantlee is a plugin based String Template system written using the Qt framework.
The goals of the project are to make it easier for application developers to
separate the structure of documents from the data they contain, opening the door
for theming.

The syntax is intended to follow the syntax of the Django template system, and
the design of Django is reused in Grantlee. Django is covered by a BSD style license.

Part of the design of both is that application developers can extend the syntax by
implementing their own tags and filters. For details of how to do that, see the API
documentation.

For template authors, different applications using Grantlee will present the same
interface and core syntax for creating new themes. For details of how to write
templates, see the documentation.

%files
%doc AUTHORS CHANGELOG COPYING.LIB README GOALS
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/0.3
%{_libdir}/%{name}/0.3/*

#--------------------------------------------------------------------

%define libgrantlee_gui %mklibname grantlee_gui %{grantlee_major}.%{grantlee_minor}
%define old_libgrantlee_gui %mklibname grantlee_gui 0

%package -n %libgrantlee_gui
Summary:        Library files for %{name}
Group:          System/Libraries
Obsoletes: %old_libgrantlee_gui < 0.3.0
Conflicts: %old_libgrantlee_gui < 0.3.0

%description  -n %libgrantlee_gui
Libraries for %{name}.

%files -n %libgrantlee_gui
%{_libdir}/libgrantlee_gui.so.%{grantlee_major}.%{grantlee_minor}*
%{_libdir}/libgrantlee_gui.so.%{grantlee_major}

#--------------------------------------------------------------------

%define libgrantlee_core %mklibname grantlee_core %{grantlee_major}.%{grantlee_minor}
%define old_libgrantlee_core  %mklibname grantlee_core 0

%package -n %libgrantlee_core
Summary:    Library files for %{name}
Group:      System/Libraries
Obsoletes:  %old_libgrantlee_core < 0.3.0
Conflicts:  %old_libgrantlee_core < 0.3.0

%description  -n %libgrantlee_core
Libraries for %{name}.

%files -n %libgrantlee_core
%{_libdir}/libgrantlee_core.so.%{grantlee_major}.%{grantlee_minor}*
%{_libdir}/libgrantlee_core.so.%{grantlee_major}

#--------------------------------------------------------------------

%package devel
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:      %libgrantlee_gui = %{version}-%{release}
Requires:      %libgrantlee_core = %{version}-%{release}
Provides:      lib%{name} = %{version}-%{release}

%description devel
Libraries and header files to develop applications that use %{name}.

%files devel
%{_includedir}/%{name}
%{_includedir}/grantlee_templates.h
%{_includedir}/%{name}_core.h
%{_libdir}/lib%{name}*.so
%{_libdir}/cmake/grantlee/

#--------------------------------------------------------------------

%prep
%setup -q -n %name-%version

%build
%cmake_qt4
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.3.0-2.mga3
+ Revision: 352564
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 mikala <mikala> 0.3.0-1.mga3
+ Revision: 337912
- Update tarball to 0.3.0
- Use minor in libname package (same stuff as attica)
- Use pkgconfig() for BR

* Sun Aug 19 2012 neoclust <neoclust> 0.2.0-1.mga3
+ Revision: 282263
- Update tarball to final 2.0.0
- Drop patch (merged upstream)

* Mon Jan 23 2012 dmorgan <dmorgan> 0.2.0-0.rc1.4.mga2
+ Revision: 200206
- Fix package ownage

* Fri Oct 07 2011 fwang <fwang> 0.2.0-0.rc1.3.mga2
+ Revision: 152686
- add upstream patch to fix parsearguments install

* Fri Oct 07 2011 fwang <fwang> 0.2.0-0.rc1.2.mga2
+ Revision: 152667
- install extra cmake file

* Mon Sep 26 2011 mikala <mikala> 0.2.0-0.rc1.1.mga2
+ Revision: 147890
- Update tarball to 0.2 rc1
- remove %%defattr(),%%clean section

* Sat Jun 25 2011 mikala <mikala> 0.1.9-2.mga2
+ Revision: 113371
- Fix various rpmlint warning (group for grantlee-devel, use of spaces)

* Fri Jun 24 2011 mikala <mikala> 0.1.9-1.mga2
+ Revision: 113256
- Update tarball to 1.9
- imported package grantlee

  + dmorgan <dmorgan>
    - Revert commit  100824 because :
     1- You need to see with the package maintainer first
     2- This is still cauldront svn tree for Mageia 1

  + ze <ze>
    - version 0.1.8
    - dont use kde4 macros since doesnt buildrequire kde4
    - use qt4 macros since its a qt framework and also fix package groups naming
    - move develop files to devel package
    - no need to use -n flag in %%setup macro since name-version its used by default
    - list dirs so that can be removed in package uninstall

